Last Comment Bug 639945 - html5-inlineSVG-title display tooltip
: html5-inlineSVG-title display tooltip
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Robert Longson
:
:
Mentors:
Depends on: 693551 715999
Blocks: 601091
  Show dependency treegraph
 
Reported: 2011-03-08 11:42 PST by jonathan chetwynd
Modified: 2012-05-20 20:35 PDT (History)
6 users (show)
longsonr: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (261 bytes, text/html)
2011-03-08 11:42 PST, jonathan chetwynd
no flags Details
patch (4.76 KB, patch)
2011-06-12 11:32 PDT, Robert Longson
no flags Details | Diff | Splinter Review
updated patch (4.76 KB, patch)
2011-06-12 13:20 PDT, Robert Longson
dao+bmo: review+
bzbarsky: review-
Details | Diff | Splinter Review
updated embedding code to match browser (5.43 KB, patch)
2011-06-18 02:33 PDT, Robert Longson
bzbarsky: review+
Details | Diff | Splinter Review
hg changeset patch (3.82 KB, patch)
2011-06-30 14:00 PDT, Robert Longson
no flags Details | Diff | Splinter Review

Description jonathan chetwynd 2011-03-08 11:42:29 PST
Created attachment 517824 [details]
testcase

SVG <title> displays as tooltip in file served as SVG

however SVG <title> inline in file served as HTML5 does not raise tooltip
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2011-03-08 11:44:22 PST
The tooltip stuff is handled entirely by the UI, no?
Comment 2 Robert Longson 2011-06-12 11:32:56 PDT
Created attachment 538769 [details] [diff] [review]
patch
Comment 3 Dão Gottwald [:dao] 2011-06-12 11:50:53 PDT
Comment on attachment 538769 [details] [diff] [review]
patch

>+           tipElement.parentNode.nodeType != Node.ELEMENT_NODE)) {

What's the point of this?
Comment 4 Robert Longson 2011-06-12 12:13:06 PDT
If the document is an svg document, we don't want to display tooltips on the svg root node as that goes into the document title in the tab bar (we have existing tests for that).

I was initially expecting parentNode == null but it seems that isn't the case. Whatever the parent is, it isn't a Node.ELEMENT_NODE.
Comment 5 Dão Gottwald [:dao] 2011-06-12 12:23:06 PDT
(In reply to comment #4)
> If the document is an svg document, we don't want to display tooltips on the
> svg root node as that goes into the document title in the tab bar (we have
> existing tests for that).

This isn't true documents in frames...

> I was initially expecting parentNode == null but it seems that isn't the
> case. Whatever the parent is, it isn't a Node.ELEMENT_NODE.

DOCUMENT_NODE
Comment 6 Robert Longson 2011-06-12 13:20:39 PDT
Created attachment 538777 [details] [diff] [review]
updated patch

Now with DOCUMENT_NODE
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2011-06-17 13:54:34 PDT
Comment on attachment 538777 [details] [diff] [review]
updated patch

The docshell tree owner code doesn't seem to match browser.js....
Comment 8 Robert Longson 2011-06-18 02:33:36 PDT
Created attachment 540224 [details] [diff] [review]
updated embedding code to match browser
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2011-06-30 00:03:51 PDT
Comment on attachment 540224 [details] [diff] [review]
updated embedding code to match browser

r=me
Comment 10 Robert Longson 2011-06-30 14:00:43 PDT
Created attachment 543245 [details] [diff] [review]
hg changeset patch
Comment 11 Daniel Holbert [:dholbert] 2011-07-01 10:52:11 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/74635b831e9e
Comment 12 Marco Bonardo [::mak] 2011-07-02 03:02:43 PDT
http://hg.mozilla.org/mozilla-central/rev/74635b831e9e
Comment 13 Vlad [QA] 2011-07-07 06:27:21 PDT
Do you have some steps to reproduce to verify that is resolved.
Thx
Comment 14 Robert Longson 2011-07-07 06:44:46 PDT
Display the testcase attachment and put your mouse on the rect. A tooltip should be displayed which says: my rectangle
Comment 15 Vlad [QA] 2011-07-07 22:44:58 PDT
Setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:7.0a2) Gecko/20110707 Firefox/7.0a2
Comment 16 yvoschu 2011-11-22 02:30:38 PST
What's the usual procedure if a related regression was found? This bug now depends on an unresolved regression bug, but the status is still VERIFIED FIXED.
Comment 17 Daniel Holbert [:dholbert] 2011-11-22 02:40:11 PST
Generally, we just mark the dependency (already done) and fix the regression in its own bug.

If the regression is really bad (to the point of making our nightly builds unusable or something), then we'd back out the original patch and reopen that bug.  Otherwise, though, we generally just leave the original bug closed & deal with regressions in their own bugs.

Note You need to log in before you can comment on or make changes to this bug.